Skip to main content
PATCH
/
domains
/
{id}
Update domain
curl --request PATCH \
  --url https://api.linkutm.com/api/v1/domains/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "links.newdomain.com",
  "defaultRedirect": "<string>"
}
'
{
  "id": "dom_01hx9ab3cd4ef5gh6ij7kl",
  "domain": "links.example.com",
  "verified": false,
  "isDefault": false,
  "defaultRedirect": "https://example.com",
  "workspaceId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

JWT token obtained from /auth/login.

Headers

x-workspace-id
string

The workspace to operate in. Required when authenticating with a JWT token. Optional when using an API key — the workspace is automatically resolved from the key itself.

Example:

"ws_01hx9ab3cd4ef5gh6ij7kl"

Path Parameters

id
string
required

Domain ID.

Body

application/json
domain
string

New fully qualified domain name.

Example:

"links.newdomain.com"

defaultRedirect
string

New default redirect URL.

Response

Updated domain

id
string
Example:

"dom_01hx9ab3cd4ef5gh6ij7kl"

domain
string
Example:

"links.example.com"

verified
boolean
Example:

false

isDefault
boolean
Example:

false

defaultRedirect
string | null
Example:

"https://example.com"

workspaceId
string
createdAt
string<date-time>